%define version    4.1
%define release    20161026
%define rhel_version 6

Name:           redhat-certification-cloud
Version:        %{version} 
Release:         %{release}.el%{rhel_version}
Summary:        Red Hat Cloud Certification

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}-%{release}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  python-devel
Requires:       redhat-certification-backend >= %{version}
Requires:       nmap
Provides:       stsclient-cloud-plugin, ccp-client
Obsoletes:      stsclient-cloud-plugin, ccp-client

%description
Red Hat Cloud Certification

%prep
%setup -q -c

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make RHCERT_CLOUD_RHEL_VERSION=%{rhel_version}


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make RHCERT_CLOUD_RHEL_VERSION=%{rhel_version} install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhcert/suites/cloud

%changelog

* Tue Oct 25 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-343 rhcert needs to provide re-evaluation of microservices calls for review

* Tue Oct 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- Fixed CERTPX-405
  - Numeric indices required in the format specs to support older python versions.

* Tue Oct 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- Fixed CERTPX-401 and CERTPX-402
  - Removed hardcoded service url from rhcert.microservice.
  - Covered the scenario where service url is not present in etc/rhcert.xml.
  - fixed typo.

* Thu Oct 20 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-388 RCC 4.1 should %Require rhcert-backend-4.1. - Modified cloud spec file.
- CERTPX-370 Removed false-positives from output. 
- CERTPX-373 Added corrective action in installed rpm test. Minor output changes in hypervisor test.

* Tue Oct 18 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-244 Security/rpm-freshness test shows installed vs updated version-release for each un-fresh package.

* Mon Oct 17 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-375 supportable/hypervisor test should show dmidecode
- CERTPX-233 changed ValidKernels microservice to use a single json file cache, added 7.3 beta/candidate kernel info

* Mon Oct 17 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-217 Fixed bug: Network test returning None. - Added httpd service and port 443. - optimized code.

* Fri Oct 14 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-339 OpenStack 9.0 certifications downloaded from CWE are shown as 10.0

* Fri Oct 14 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-353 Fixed bug in installed rpm test for rhel 6.x. Added minor fixes in environment gpg key check.

* Thu Oct 13 2016 Pooja Tiwari <ptiwari@redhat.com>
- Enhanced output for Kernel validation for all certification programs. 
- CERTPX-313 Segregated kernel_rpm, kernel_version and kernel_tainted sub-tests. 
- CERTPX-314 Segregated kernel_module_techpreview and kernel_modules_origin sub-tests.

* Wed Oct 12 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-345 Fixed Bug. - Kernel version test throwing exception while retrieving data from cache.

* Sat Oct 08 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-308 Architecture Test: support only x86 or x86_64 architecture for RHEL7 or 6. 
- CERTPX-335/CERTPX-331 Rename hypervisor test. 
- CERTPX-335/CERTPX-332 Rename Default logging test. 
- CERTPX-335/CERTPX-334 Remove ping test from Network Configuration Test.

* Thu Oct 06 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-302 Made software repository test interactive.
- CERTPX-300 Password Configuration Test should give proper message about the used password hash.

* Wed Oct 05 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-301 Remove test 'Log Versions' from cloud suite.

* Tue Oct 04 2016 Pooja Tiwari <ptiwari@redhat.com>
- Added '%{version}' in redhat-certification-cloud.spec.in.
- CERTPX-310 Impactful description, success and failure data for unsupported hardware test.
- CERTPX-91 Installed RPM Test

* Wed Sep 28 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-90 Cloud Supportable: environment_gpgkeys Test

* Tue Sep 27 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-252 Enhance rhcert micro-service module
- CERTPX-231 Container certification option still seen while submitting the result through CLI.

* Tue Sep 27 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-249 Cloud Interactive Tests need to support --mode auto for rhcert-ci.

* Tue Sep 20 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-242 Hypervisor test should use 'virt-what' command instead of 'lscpu'.

* Mon Sep 19 2016 Pooja Tiwari <ptiwari@redhat.com>
- Improve rpm freshness test

* Fri Sep 16 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-255 Move %Requires python-requests to redhat-certification-backend

* Wed Sep 14 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-189 Kernel RPM Version Test - rewritten microservice check to observe criteria

* Wed Sep 14 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-243 Show only required data in output

* Tue Sep 13 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-189 Kernel RPM Version Test
- CERTPX-203 Package Version-Release alignment: 4.0

* Fri Sep 09 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-230 security selinux shows PASS" after setenforce 0"

* Thu Sep 08 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-165 URI fix in rpm freshness

* Wed Sep 07 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-220 redhat-certification-cloud should require python-requests
- CERTPX-7 Cloud Supportable Test - designate test as interactive  CERTPX-32 Cloud Configuration Test - designate test as interactive

* Wed Sep 07 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-165 Cloud Security: RPM Freshness

* Fri Sep 02 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-91 Cloud Supportable: software_rpms Test

* Thu Sep 01 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-167 fix in Subscription Service test

* Wed Aug 31 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-104 Cloud Configuration: Add Network Access tests - add open ports subtest section
- CERTPX-167 Cloud Configuration: subscription services
    - fix subtest names per PM
    - Use Error:" to denote error strings      
    - changed Subscription Services from WARN to FAIL.      
    - revised logic re: RHUI - must find both packages and repos."

* Wed Aug 31 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-167 Cloud Configuration: subscription services

* Tue Aug 30 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-189 Kernel RPM Version Test    
    - Generalizes rhcert.tests.KernelTest For different critera (candidate, release, update)    
    - Adds rhcert.tags.TestResult class to manage PASS/WARN/REVIEW/FAIL values CERTPX-166 Cloud Supportable: kernel_version    
    - Sets KernelTest to allow release  and update kernels, and warn on candidates.

* Mon Aug 29 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-104 Cloud Configuration: Add Network Access tests      - fixed results accumulation logic
- CERTPX-7 Cloud Supportable Test

* Mon Aug 29 2016 Chandan Kumar <chkumar@redhat.com>
- Added service control tests
- Added network access tests

* Thu Aug 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-164 Cloud configurtion: file system - round to MB

* Tue Aug 23 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-163 Move cloud sources into the rhcert git repo
* Tue Aug 23 2016 Greg Nichols <gnichols@redhat.com> 4.0-20160823
- revised version: was 4.0.0, is now 4.0
- replaced previous tests with configured, supportable, and security

* Mon Aug 08 2016 Chandan Kumar <chkumar@redhat.com> 4.0.0-1
- Added Default Logging, yum repo validation tests
- All tests are now non-mandatory
- Bumped to version 4.0.0

* Thu Jul 21 2016 Pooja Tiwari <ptiwari@redhat.com> 3.5-1
- Added cloud mandatory test validations.
- Find the profile name for openscap xccdf tests
- Bump to version 3.5

* Mon Nov 16 2015 Shreyank Gupta <sgupta@redhat.com> 3.4-1
- Bump to version 3.4

* Tue Nov 10 2015 Shreyank Gupta <sgupta@redhat.com> 3.3-1
- Bump to version 3.3

* Wed Aug 26 2015 Shreyank Gupta <sgupta@redhat.com> 3.2-1
- Bump to version 3.2
- Requires secret-sos >= 0.2
- Requires scap-security-guide

* Tue Aug 25 2015 Shreyank Gupta <sgupta@redhat.com> 3.1-2
- Changing dependency from -sosreport to -commons

* Mon Apr 20 2015 Shreyank Gupta <sgupta@redhat.com> 3.1-1
- Bump to version 3.1

* Thu Mar 26 2015 Shreyank Gupta <sgupta@redhat.com> 3.0-3
- Change to /rhcert/suites/cloud added in %%files

* Wed Feb 25 2015 Shreyank Gupta <sgupta@redhat.com> 3.0-2
- Removed sts-log.spec and bindir from %%files

* Wed Feb 25 2015 Shreyank Gupta <sgupta@redhat.com> 3.0-1
- Requires redhat-certification-sosreport
- Requires secret-sos
- Bump to version 3.0

* Wed Feb 18 2015 Shreyank Gupta <sgupta@redhat.com> 2.1-1
- Fix SCAP test for el7
- Bump version to 2.1

* Tue Oct 21 2014 Shreyank Gupta <sgupta@redhat.com> 2.0-2
- Changed Requires from rhcert-client to redhat-certification

* Mon Sep 29 2014 Shreyank Gupta <sgupta@redhat.com> 2.0-1
- Changed package name to redhat-certification-cloud
- Added virt-what, libselinux-python to Requires
- Removed pyparted from Requires
- Added ccp-client to Provides and Obsoletes

* Fri Aug 8 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.rc2-1
- Fixes broken yum-cli test for RHEL7

* Tue Aug 5 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.rc-1
- binaries.py captures installed time for all packages
- Removes tests packager.py and packages.py
- Replace LSB release with platform module
- hypervisor.py fixed to generate proper XML
- Using iptables --list for firewall.py
- Using systemctl for service_status tests on RHEL 7
- updates.py returns valid test status

* Fri Jul 11 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.beta-1
- Moved to rhcert test-harness based test API
- Moved Requires to the test's getRequiredRPMs.
- Changed test location from ccp_client -> rhcert/suites/cloud

* Fri Jun 20 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.alpha-1
- Moving to rhcert test-harness based test API

* Thu Jun 12 2014 Shreyank Gupta <sgupta@redhat.com> 1.1-1
- Added three new tests.
- Added openscap-utils, scap-security-guide, virt-what to Requires

* Mon Apr 28 2014 Shreyank Gupta <sgupta@redhat.com> 1.0-2
- Remove python-stscommon from Requires.
- Provides and Obsoletes stsclient-cloud-plugin

* Wed Apr 23 2014 Shreyank Gupta <sgupta@redhat.com> 1.0-1
- Initial release.
